import { BaseXform } from "@excel/xlsx/xform/base-xform";
interface DateXformOptions {
    tag: string;
    attr?: string;
    attrs?: any;
    format?: (dt: Date) => string;
    parse?: (str: string) => Date;
}
declare class DateXform extends BaseXform {
    private tag;
    private attr?;
    private attrs?;
    private text;
    private _format;
    private _parse;
    constructor(options: DateXformOptions);
    render(xmlStream: any, model?: Date): void;
    parseOpen(node: any): void;
    parseText(text: string): void;
    parseClose(): boolean;
}
export { DateXform };
